Subject: To re-new your webmail Certificate

From: Michael Grubb <[email-masked]>
Date: Mon, 24 Mar 2014 16:14:27 +0000

Your Email Account Certificate expired on the 3-24-2014, This may
interrupt your email delivery configuration, and account POP settings, page
error when sending message.
To re-new your webmail Certificate, Please take a second to update your
records by following the reference link below

Or copy and paste link on address bar : http://webserviceemailteam.edicy.co/en

Once the information provided matches what is on our record, Your account
will work as normal after the verification is process, and webmail
Certificate will be re-newed.
Sincerely,
Mail Service Team.